Package org.apache.avro.idl

# Class IdlParser.IdlFileContext

java.lang.Object
org.antlr.v4.runtime.RuleContext
org.antlr.v4.runtime.ParserRuleContext
org.apache.avro.idl.IdlParser.IdlFileContext

All Implemented Interfaces:
  `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`

Enclosing class:
  `IdlParser`

public static class IdlParser.IdlFileContext extends org.antlr.v4.runtime.ParserRuleContext

## Field Summary

Fields
Modifier and Type
Field
Description
`List<IdlParser.ImportStatementContext>`
`imports`
`IdlParser.ImportStatementContext`
`importStatement`
`IdlParser.MainSchemaDeclarationContext`
`mainSchema`
`IdlParser.NamedSchemaDeclarationContext`
`namedSchemaDeclaration`
`List<IdlParser.NamedSchemaDeclarationContext>`
`namedSchemas`
`IdlParser.NamespaceDeclarationContext`
`namespace`
`IdlParser.ProtocolDeclarationContext`
`protocol`

### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

`children, EMPTY, exception, start, stop`

### Fields inherited from class org.antlr.v4.runtime.RuleContext

`invokingState, parent`

## Constructor Summary

Constructors
Constructor
Description
`IdlFileContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)`

## Method Summary

Modifier and Type
Method
Description
`void`
`enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
`org.antlr.v4.runtime.tree.TerminalNode`
`EOF()`
`void`
`exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
`int`
`getRuleIndex()`
`List<IdlParser.ImportStatementContext>`
`importStatement()`
`IdlParser.ImportStatementContext`
`importStatement(int i)`
`IdlParser.MainSchemaDeclarationContext`
`mainSchemaDeclaration()`
`List<IdlParser.NamedSchemaDeclarationContext>`
`namedSchemaDeclaration()`
`IdlParser.NamedSchemaDeclarationContext`
`namedSchemaDeclaration(int i)`
`IdlParser.NamespaceDeclarationContext`
`namespaceDeclaration()`
`IdlParser.ProtocolDeclarationContext`
`protocolDeclaration()`

### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

`addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

### Methods inherited from class org.antlr.v4.runtime.RuleContext

`accept, depth, getAltNumber, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### protocol

public IdlParser.ProtocolDeclarationContext protocol

### namespace

public IdlParser.NamespaceDeclarationContext namespace

### mainSchema

public IdlParser.MainSchemaDeclarationContext mainSchema

### importStatement

public IdlParser.ImportStatementContext importStatement

### imports

public List<IdlParser.ImportStatementContext> imports

### namedSchemaDeclaration

public IdlParser.NamedSchemaDeclarationContext namedSchemaDeclaration

### namedSchemas

public List<IdlParser.NamedSchemaDeclarationContext> namedSchemas

## Constructor Details

### IdlFileContext

public IdlFileContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)

## Method Details

### EOF

public org.antlr.v4.runtime.tree.TerminalNode EOF()

### protocolDeclaration

public IdlParser.ProtocolDeclarationContext protocolDeclaration()

### namespaceDeclaration

public IdlParser.NamespaceDeclarationContext namespaceDeclaration()

### mainSchemaDeclaration

public IdlParser.MainSchemaDeclarationContext mainSchemaDeclaration()

### importStatement

public List<IdlParser.ImportStatementContext> importStatement()

### importStatement

public IdlParser.ImportStatementContext importStatement(int i)

### namedSchemaDeclaration

public List<IdlParser.NamedSchemaDeclarationContext> namedSchemaDeclaration()

### namedSchemaDeclaration

public IdlParser.NamedSchemaDeclarationContext namedSchemaDeclaration(int i)

### getRuleIndex

public int getRuleIndex()

Overrides:
  `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

### enterRule

public void enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

Overrides:
  `enterRule` in class `org.antlr.v4.runtime.ParserRuleContext`

### exitRule

public void exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

Overrides:
  `exitRule` in class `org.antlr.v4.runtime.ParserRuleContext`